Update beneficiary
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries/{beneficiary_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_contingent": true,
"contact_info": {
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
}
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries/{beneficiary_id}"
payload = {
"name": "<string>",
"relationship": "<string>",
"percentage_share": 123,
"is_contingent": True,
"contact_info": {
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
relationship: '<string>',
percentage_share: 123,
is_contingent: true,
contact_info: {
email: 'jsmith@example.com',
phone: '<string>',
address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
}
}
})
};
fetch('https://api.example.com/v1/cases/{case_id}/bank-accounts/{account_id}/beneficiaries/{beneficiary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K6AB05EJ3T10HRYE78AN7BCD",
"name": "John Jonas Johnson",
"relationship": "son",
"percentage_share": 50,
"designation_type": "pod",
"is_contingent": false,
"contact_info": {
"email": "jsmith@example.com",
"phone": "<string>",
"address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
}
},
"status": "active",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Account Beneficiaries
Update beneficiary
Update a beneficiary designation.
PATCH
/
cases
/
{case_id}
/
bank-accounts
/
{account_id}
/
beneficiaries
/
{beneficiary_id}
Update beneficiary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Body
application/json
Response
Beneficiary updated.
Show child attributes
Show child attributes
⌘I

